@mixin main {

    // Zone de modification du bouton déroulant
    
    grid-row: 2;
    grid-column: 1;
    background: var(--bg-1);
    border-right: var(--border);
    width: 100%;
    
    .gros_bouton {
        position: fixed;
        top:5px;
        left:5px;
        width:50px;
        height:50px;
        display:block;
        border-radius: 50%;
        border: var(--border);
        overflow: hidden;
        z-index: 412;
    }

    .gros_bouton img{
        width:100%;
        height:auto;
        transition: all .3s ease;
        transform:rotate(0deg);
    }
    
    #bouton_menu{
        display:none;
    } 

    #bouton_menu:checked ~ .gros_bouton img{
        transform:rotate(360deg);
    }    

    .wrapper_menu{
        // max-width: 60px;
        padding: 5px;
        padding-top: 30px;
        opacity:0;
        display: flex;
        flex-direction: column;
        gap: 5px;
    }

    #bouton_menu:checked ~ .wrapper_menu{
        min-width: max-content;
        opacity:100;
    }
    
    .expand .titre {
        border: var(--border);
        width: 100%;
        box-sizing: border-box;
        border-radius: 5px;
        display: flex;
        background: var(--bg-2);
        transition: all ease .1s;
        min-height: 30px;
        overflow: hidden;
        justify-content: left;
        align-items: center;
        cursor: pointer;
        
        .selector {
            min-width: 0px;
            width: 0;
            overflow: hidden;
            display: flex;
            background: transparent;
            color: transparent;
            align-items: center;
            justify-content: center;
            border-radius: 5px 0 0 5px; 
            font-weight: bolder;
            transition: all ease .1s;
            user-select: none;
            height: 100%;
            color: var(--fg);
        }
    
        .text {
            padding: 5px;
            user-select: none;
            width: 100%;
        }
    
        i {
            padding: 0 10px;
            transition: all .1s ease;
            color: var(--fg);
        }
    
        &:hover {
    
            background: var(--bg-2);
            font-weight: bold;
            .selector {
                min-width: 50px;
                background: var(--theme);
            }
        }
    
        &.disabled {
            color: var(--fg);
            .selector {
                color: var(--fg);
                background: var(--bg-1);
            }
        }
    
    }

    .expand {

        --nb-elem: 0;
    
        width: 100%;
        overflow: hidden;
        border-radius: 5px;
        display: block;
        flex-direction: column;
        height: max-content;
        grid-template-rows: 30px auto;
        box-sizing: border-box;
        border: var(--border);
        
        .titre { 
            height: 30px;
            .selector { 
                height: 100%;            
                border-bottom-left-radius: 0;
            } 
            border: none;
            border-bottom-left-radius: 0;
            border-bottom-right-radius: 0;
    
            .value {
                white-space: nowrap;
                font-weight: lighter;
                color: var(--fg);
            }
        }
    
        .fa-minus { display: none; }
    
        ul.expand_list {
            margin: 0;
            padding: 0;
            height: 0;
            overflow: hidden;
            transition: height ease .1s;
    
            li.expand_list_elem {
                height: 30px;
                display: flex;
                align-items: center;
                justify-content: start;
                box-sizing: border-box;
                padding: 0;
                background: var(--bg-1);
                border-bottom: var(--border);
                &:last-child {
                    border-bottom: none;
                }    
            }
        }
    
        .__menu_select { display: none; }
    
        &.hover .titre {
            & {
                font-weight: bold;
                .selector {
                    min-width: 50px;
                    background: var(--theme);
                }
            }
        }
    
        input.__menu_select:checked ~ .titre, &.active .titre {
            .fa-plus { display: none; }
            .fa-minus { display: block; }
            & {
                font-weight: bold;
                .selector {
                    min-width: 50px;
                    background: var(--theme);
                }
            }
        } 
        input.__menu_select:checked ~ ul.expand_list, &.active ul.expand_list {
            height: calc(30px * var(--nb-elem));
        }
    }

    .boite_a_bulle{
        --couleur_passage : black;
        display: flex;
        flex-direction: row;
        .selector{
            width: 50px;
            display: flex;
            justify-content: center;
            align-items: center;
        }
        &:hover{
            font-weight: bold;
            color:var(--couleur_passage);
        }
    }
}

@mixin air {

    border-right: none;
    // box-shadow: 1px 1px 6px -2px #000;
    // border-radius: 5px;
    background: none;

    .gros_bouton{
        left:10px;
    }

    .wrapper_menu {

        padding-top: 50px;

        .expand {

            border: none;

        }

    }

}